com.h3c.of.sw

## Enum MockOpenflowSwitch.HelloMode

- java.lang.Object
- - java.lang.Enum<MockOpenflowSwitch.HelloMode>
  - - com.h3c.of.sw.MockOpenflowSwitch.HelloMode

- All Implemented Interfaces:
    Serializable, Comparable<MockOpenflowSwitch.HelloMode>
  Enclosing class:
    MockOpenflowSwitch

      public static enum MockOpenflowSwitch.HelloMode
      extends Enum<MockOpenflowSwitch.HelloMode>

  Designates the alternative ways to respond to handshaking.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DEFAULT` The default behavior.
    `NOT_10_RETURN_OFM_ERROR` Return an error and disconnect.
    `NOT_8_BYTES_NO_RESPONSE` Do nothing (don't disconnect).

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MockOpenflowSwitch.HelloMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static MockOpenflowSwitch.HelloMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DEFAULT

          public static final MockOpenflowSwitch.HelloMode DEFAULT

      The default behavior.

    - #### NOT_10_RETURN_OFM_ERROR

          public static final MockOpenflowSwitch.HelloMode NOT_10_RETURN_OFM_ERROR

      Return an error and disconnect.

    - #### NOT_8_BYTES_NO_RESPONSE

          public static final MockOpenflowSwitch.HelloMode NOT_8_BYTES_NO_RESPONSE

      Do nothing (don't disconnect).

  - ### Method Detail

    - #### values

          public static MockOpenflowSwitch.HelloMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MockOpenflowSwitch.HelloMode c : MockOpenflowSwitch.HelloMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MockOpenflowSwitch.HelloMode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014. All Rights Reserved.